# FoundationClasses
TKernel
Dico

# Dico_StackItemOfDictionaryOfTransient Class Reference

`#include <Dico_StackItemOfDictionaryOfTransient.hxx>`

Inheritance diagram for Dico_StackItemOfDictionaryOfTransient:

[legend]

## Public Member Functions

Standard_EXPORT | Dico_StackItemOfDictionaryOfTransient ()
Standard_EXPORT | Dico_StackItemOfDictionaryOfTransient (const Handle(Dico_StackItemOfDictionaryOfTransient)&previous)
Standard_EXPORT Handle_Dico_StackItemOfDictionaryOfTransient | Previous () const
Standard_EXPORT Handle_Dico_DictionaryOfTransient | Value () const
Standard_EXPORT void | SetValue (const Handle(Dico_DictionaryOfTransient)&cval)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Dico_DictionaryOfTransient | thevalue
Handle_Dico_StackItemOfDictionaryOfTransient | theprev

## Constructor & Destructor Documentation

Standard_EXPORT Dico_StackItemOfDictionaryOfTransient::Dico_StackItemOfDictionaryOfTransient | ( |  | ) |

Standard_EXPORT Dico_StackItemOfDictionaryOfTransient::Dico_StackItemOfDictionaryOfTransient | ( | const Handle(Dico_StackItemOfDictionaryOfTransient)& | previous | ) |

## Member Function Documentation

Standard_EXPORT const Dico_StackItemOfDictionaryOfTransient::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT Handle_Dico_StackItemOfDictionaryOfTransient Dico_StackItemOfDictionaryOfTransient::Previous | ( |  | ) | const

Standard_EXPORT void Dico_StackItemOfDictionaryOfTransient::SetValue | ( | const Handle(Dico_DictionaryOfTransient)& | cval | ) |

Standard_EXPORT Handle_Dico_DictionaryOfTransient Dico_StackItemOfDictionaryOfTransient::Value | ( |  | ) | const

## Field Documentation

Handle_Dico_StackItemOfDictionaryOfTransient Dico_StackItemOfDictionaryOfTransient::theprev `[private]`

Handle_Dico_DictionaryOfTransient Dico_StackItemOfDictionaryOfTransient::thevalue `[private]`

The documentation for this class was generated from the following file:

- Dico_StackItemOfDictionaryOfTransient.hxx